package com.netmera.netmera_flutter_sdk_example;

import com.netmera.netmera_flutter_sdk.FNetmera;
import com.netmera.netmera_flutter_sdk.FNetmeraService;

import io.flutter.app.FlutterApplication;
import io.flutter.plugin.common.PluginRegistry;
import io.flutter.plugins.GeneratedPluginRegistrant;

/**
 * Copyright (c) 2019 Inomera Research.
 * @author Burak Soykal
 */
public class NMApp extends FlutterApplication implements PluginRegistry.PluginRegistrantCallback {

    @Override
    public void onCreate() {
        super.onCreate();
        FNetmeraService.setPluginRegistrant(this);
        FNetmera.logging(true);
        FNetmera.init(this, BuildConfig.GCM_SENDER_ID, BuildConfig.NETMERA_API_KEY);
    }

    @Override
    public void registerWith(PluginRegistry pluginRegistry) {
        GeneratedPluginRegistrant.registerWith(pluginRegistry);
    }
}
