/**
 * Copyright (c) 2019 Inomera Research.
 * @author Burak Soykal
 */

#import <Foundation/Foundation.h>
#import <Flutter/Flutter.h>
#import <Netmera/Netmera.h>

@interface FNetmeraService : NSObject

extern NSString* _Nonnull const ON_PUSH_REGISTER;
extern NSString* _Nonnull const ON_PUSH_RECEIVE;
extern NSString* _Nonnull const ON_PUSH_OPEN;
extern NSString* _Nonnull const ON_PUSH_DISMISS;
extern NSString* _Nonnull const ON_PUSH_BUTTON_CLICKED;

+(void) initService:(nonnull FlutterMethodCall *)call
        registerPlugin: (nonnull FlutterPluginRegistrantCallback) registerPlugin
        registrar:(nonnull NSObject<FlutterPluginRegistrar>*)registrar;

+ (void) handleWork: (nonnull NSString*)action dict:(nullable NSDictionary*)dict;

@end
