import 'package:netmera_flutter_sdk/events/NetmeraEvent.dart';

///
/// Copyright (c) 2019 Inomera Research.
/// Author Burak Soykal
///
class NetmeraEventBannerOpen extends NetmeraEvent {
  @override
  getCode() => "n:bc";

  String _id;
  List<String> _keywords;

  setId(String value) {
    _id = value;
  }

  String getId() => _id;

  setKeywords(List<String> value) {
    _keywords = value;
  }

  List<String> getKeywords() => _keywords;

  @override
  Map<String, Object> toJson() {
    Map<String, Object> map = super.toJson();
    map['ea'] = _id;
    map['eg'] = _keywords;
    return map;
  }
}
