import 'package:netmera_flutter_sdk/events/NetmeraEvent.dart';

///
/// Copyright (c) 2019 Inomera Research.
/// Author Burak Soykal
///
class NetmeraEventRegister extends NetmeraEvent {
  @override
  getCode() => "n:rg";

  String _userId;

  setUserId(String value) {
    _userId = value;
  }

  String getUserId() => _userId;

  @override
  Map<String, Object> toJson() {
    Map<String, Object> map = super.toJson();
    map['uid'] = _userId;
    return map;
  }
}
