import 'package:netmera_flutter_sdk/events/NetmeraEvent.dart';

///
/// Copyright (c) 2019 Inomera Research.
/// Author Burak Soykal
///
class NetmeraEventCartAddProduct extends NetmeraEvent {
  @override
  getCode() => "n:acp";

  int _count;
  double _basketTotal;

  setCount(int value) {
    _count = value;
  }

  int getCount() => _count;

  setBasketTotal(double value) {
    _basketTotal = value;
  }

  double getBasketTotal() => _basketTotal;

  @override
  Map<String, Object> toJson() {
    Map<String, Object> map = super.toJson();
    map['ec'] = _count;
    map['er'] = _basketTotal;
    return map;
  }
}
