import 'package:netmera_flutter_sdk/events/NetmeraEvent.dart';

///
/// Copyright (c) 2019 Inomera Research.
/// Author Burak Soykal
///
class NetmeraEventCartRemoveProduct extends NetmeraEvent {
  @override
  getCode() => "n:rcp";

  int _count;

  setCount(int value) {
    _count = value;
  }

  int getCount() => _count;

  @override
  Map<String, Object> toJson() {
    Map<String, Object> map = super.toJson();
    map['ec'] = _count;
    return map;
  }
}
