import 'package:netmera_flutter_sdk/events/NetmeraEvent.dart';

///
/// Copyright (c) 2019 Inomera Research.
/// Author Burak Soykal
///
class NetmeraEventCartView extends NetmeraEvent {
  @override
  getCode() => "n:vt";

  int _itemCount;
  double _subTotal;

  setItemCount(int value) {
    _itemCount = value;
  }

  int getItemCount() => _itemCount;

  setSubTotal(double value) {
    _subTotal = value;
  }

  double getSubTotal() => _subTotal;

  @override
  Map<String, Object> toJson() {
    Map<String, Object> map = super.toJson();
    map['ec'] = _itemCount;
    map['er'] = _subTotal;
    return map;
  }
}
