import 'package:netmera_flutter_sdk/events/NetmeraEvent.dart';

///
/// Copyright (c) 2019 Inomera Research.
/// Author Burak Soykal
///
class NetmeraEventProductRate extends NetmeraEvent {
  @override
  getCode() => "n:rp";

  String _rating;

  setRating(String value) {
    _rating = value;
  }

  String getRating() => _rating;

  @override
  Map<String, Object> toJson() {
    Map<String, Object> map = super.toJson();
    map['eo'] = _rating;
    return map;
  }
}
