///
/// Copyright (c) 2019 Inomera Research.
/// Author Burak Soykal
///
class NetmeraPushInbox {
  String _title;
  String _subtitle;
  String _body;
  int _pushType;
  String _pushId;
  String _pushInstanceId;
  String _sendDate;
  int _inboxStatus;
  String _deepLink;
  String _externalId;
  List<String> _categories;

  String getTitle() => _title;

  setTitle(String value) {
    _title = value;
  }

  String getSubtitle() => _subtitle;

  List<String> getCategories() => _categories;

  setCategories(List<String> value) {
    _categories = value;
  }

  String getExternalId() => _externalId;

  setExternalId(String value) {
    _externalId = value;
  }

  String getDeepLink() => _deepLink;

  setDeepLink(String value) {
    _deepLink = value;
  }

  int getInboxStatus() => _inboxStatus;

  setInboxStatus(int value) {
    _inboxStatus = value;
  }

  String getSendDate() => _sendDate;

  setSendDate(String value) {
    _sendDate = value;
  }

  String getPushInstanceId() => _pushInstanceId;

  setPushInstanceId(String value) {
    _pushInstanceId = value;
  }

  String getPushId() => _pushId;

  setPushId(String value) {
    _pushId = value;
  }

  int getPushType() => _pushType;

  setPushType(int value) {
    _pushType = value;
  }

  String getBody() => _body;

  setBody(String value) {
    _body = value;
  }

  setSubtitle(String value) {
    _subtitle = value;
  }

  NetmeraPushInbox.fromJson(Map<dynamic, dynamic> json)
      : _title = json['title'],
        _subtitle = json['subtitle'],
        _body = json['body'],
        _pushType = json['pushType'],
        _pushId = json['pushId'],
        _pushInstanceId = json['pushInstanceId'],
        _sendDate = json['sendDate'],
        _inboxStatus = json['inboxStatus'],
        _deepLink = json['deepLink'],
        _externalId = json['externalId'],
        _categories = json['categories'];
}
