import 'package:netmera_flutter_sdk/events/NetmeraEvent.dart';

///
/// Copyright (c) 2019 Inomera Research.
/// Author Burak Soykal
///
class NetmeraEventBatteryLevel extends NetmeraEvent {
  @override
  getCode() => "n:bl";

  int _batteryLevel;

  setBatteryLevel(int value) {
    _batteryLevel = value;
  }

  int getBatteryLevel() => _batteryLevel;

  @override
  Map<String, Object> toJson() {
    Map<String, Object> map = super.toJson();
    map['ec'] = _batteryLevel;
    return map;
  }
}
