import 'package:netmera_flutter_sdk/events/NetmeraEvent.dart';

///
/// Copyright (c) 2019 Inomera Research.
/// Author Burak Soykal
///
class NetmeraEventInAppPurchase extends NetmeraEvent {
  @override
  getCode() => "n:ip";

  String _id;
  String _name;
  double _price;
  int _count;
  List<String> _categoryIds;
  List<String> _categoryNames;
  List<String> _keywords;

  String getId() => _id;

  setId(String value) {
    _id = value;
  }

  String getName() => _name;

  setName(String value) {
    _name = value;
  }

  double getPrice() => _price;

  setPrice(double value) {
    _price = value;
  }

  int getCount() => _count;

  setCount(int value) {
    _count = value;
  }

  List<String> getCategoryIds() => _categoryIds;

  setCategoryIds(List<String> value) {
    _categoryIds = value;
  }

  List<String> getCategoryNames() => _categoryNames;

  setCategoryNames(List<String> value) {
    _categoryNames = value;
  }

  List<String> getKeywords() => _keywords;

  setKeywords(List<String> value) {
    _keywords = value;
  }

  @override
  Map<String, Object> toJson() {
    Map<String, Object> map = super.toJson();
    map['ea'] = _id;
    map['eb'] = _name;
    map['eq'] = _price;
    map['ec'] = _count;
    map['ga'] = _categoryIds;
    map['ef'] = _categoryNames;
    map['ef'] = _categoryNames;
    map['eg'] = _keywords;
    return map;
  }
}
