import 'package:netmera_flutter_sdk/events/NetmeraEvent.dart';

///
/// Copyright (c) 2019 Inomera Research.
/// Author Burak Soykal
///
class NetmeraEventShare extends NetmeraEvent {
  @override
  getCode() => "n:sh";

  String _channel;
  String _content;

  String getChannel() => _channel;

  setChannel(String value) {
    _channel = value;
  }

  String getContent() => _content;

  setContent(String value) {
    _content = value;
  }

  @override
  Map<String, Object> toJson() {
    Map<String, Object> map = super.toJson();
    map['ej'] = _channel;
    map['ea'] = _content;
    return map;
  }
}
