import 'NetmeraEventContent.dart';

///
/// Copyright (c) 2019 Inomera Research.
/// Author Burak Soykal
///
class NetmeraEventContentRate extends NetmeraEventContent {
  @override
  getCode() => "n:rc";

  String _rating;

  setRating(String value) {
    _rating = value;
  }

  String getRating() => _rating;

  @override
  Map<String, Object> toJson() {
    Map<String, Object> map = super.toJson();
    map['eo'] = _rating;
    return map;
  }
}
